GEOS: geos::geom::prep::PreparedPolygonContainsProperly Class Reference

Public Member Functions | Static Public Member Functions

# geos::geom::prep::PreparedPolygonContainsProperly Class Reference

Computes the `containsProperly` spatial relationship predicate for PreparedPolygons relative to all other Geometry classes. More...

`#include <PreparedPolygonContainsProperly.h>`

Inheritance diagram for geos::geom::prep::PreparedPolygonContainsProperly:

List of all members.

## Public Member Functions
| PreparedPolygonContainsProperly (const PreparedPolygon *const prep)
bool | containsProperly (const geom::Geometry *geom)
## Static Public Member Functions
static bool | containsProperly (const PreparedPolygon *const prep, const geom::Geometry *geom)

## Detailed Description

Computes the `containsProperly` spatial relationship predicate for PreparedPolygons relative to all other Geometry classes.

Uses short-circuit tests and indexing to improve performance.

A Geometry A `containsProperly` another Geometry B iff all points of B are contained in the Interior of A. Equivalently, B is contained in A AND B does not intersect the Boundary of A.

The advantage to using this predicate is that it can be computed efficiently, with no need to compute topology at individual points. In a situation with many geometries intersecting the boundary of the target geometry, this can make a performance difference.

Author:
  Martin Davis

## Constructor & Destructor Documentation

geos::geom::prep::PreparedPolygonContainsProperly::PreparedPolygonContainsProperly | ( | const PreparedPolygon *const | prep ) | `[inline]`

Creates an instance of this operation.

Parameters:

  prepPoly | the PreparedPolygon to evaluate

## Member Function Documentation

static bool geos::geom::prep::PreparedPolygonContainsProperly::containsProperly | ( | const PreparedPolygon *const | prep,
|  | const geom::Geometry * | geom
| ) |  | `[inline, static]`

Computes the containsProperly predicate between a PreparedPolygon and a Geometry.

Parameters:

  prep | the prepared polygon
  geom | a test geometry

Returns:
  true if the polygon properly contains the geometry

References containsProperly().

Referenced by containsProperly().

bool geos::geom::prep::PreparedPolygonContainsProperly::containsProperly | ( | const geom::Geometry * | geom ) |

Tests whether this PreparedPolygon containsProperly a given geometry.

Parameters:

  geom | the test geometry

Returns:
  true if the test geometry is contained properly

The documentation for this class was generated from the following file:

- PreparedPolygonContainsProperly.h